Subject: Re: Duplicate CygWin
From: "Max Bowsher" <[email-masked]>
To: "Ben Clewett" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 18 Feb 2003 20:32:46 -0000

Ben Clewett wrote:
> For my working, I would need a fully detached CygWin.  It's own
> memory, it's own DLL, and not a dependence on an existing
> installation.
>
> This is because I will be using Install Sheild to load and run an
> entire application, which is compiled under CygWin, onto a foreign
> machine, which may be of any setup including an old, badly setup,
> hached and conflicting CygWin...  Also then the 'Add/Remove Software'
> can rid the foreign OS of my stuff, without deleting the CygWin which
> is being used by my poor customer.
>
> I do not need this for about six months, so will give me plenty of
> time to have a good hack and get to know CygWin a lot better....

Make sure you aware of licensing issues before you start bundling the Cygwin
DLL with something.

On the technical side, I have been able to prepare an isolated Cygwin - I
now have a mygwin1.dll and a simple "Hello World!" exe that uses it, and
which does not clash with running cygwin.

I would like to point out that there was one stumbling block in addition to
DLL name and shared memory ID. It is only an issue if you want to run a
mygwin exe from a cygwin one. It is the child_info struct that it passed
between cygwin processes. Currently, you get version clash here, requiring
some hacking to enforce isolation here too.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/